Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class WbProperty

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.WbProperty

    class WbProperty

Authors:
  Hans Dockter

Property Summary
`String` | `name`
`String` | `value`

Constructor Summary
`WbProperty(def node)`
`WbProperty(String name, String value)`

Method Summary
`void` | `appendNode(Node node)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### name

    String name

### value

    String value

Constructor Detail

### WbProperty

    WbProperty(def node)

### WbProperty

    WbProperty(String name, String value)

Method Detail

### appendNode

    void appendNode(Node node)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.1-rc-1